Problème d'installation KDE sous etch amd64


#1

Salut à vous,

J’ai installé débian amd64 en netinstal il y a quelques semaines et j’ai réussi à tout installé impec. Puis j’ai fait une betise en essayant d’installer un environement 32bits pour faire tourner certaines applications et j’ai completement planté le noyau. Comme je suis encore au stade d’apprenti, j’ai purement et simplement reinstallé le noyau et la quand j’ai voulu faire un apt-get install kde et bien plus moyen d’installer kde: il me di qu’il y a des dependences non satisfaites comme kde-core
J’ai essayé d’installer en stable, testing, instable et rien. Il me di aussi paquet kcacl cassé (ca veut dire quoi ca ???) ou encore dependance d’un paquet virtuel (libgmp3c2).

J’espere que quelqu’un pourra m’aider car j’avais pris gout a utiliser debian, je ne bootais quasiment plus sous win.

Merci de votre attention.


#2

Comment diable as tu pu «casser» le noyau??? La réinstallation de ce dernier était vraiment inutile. Bon, tu as du rapatrier une floppée de librairies 32bits i386 en dehors de la distribution de AMD64 et tu dois avoir un système mélangé i386/amd64.

Une solution qui peut marcher si tu n’as pas fait de clean sur ton apt-get consiste à aller dans

/var/cache/apt/archives et à faire

dpkg -i amd64deb

(les paquets amd64 sont estampillés), ça devrait remettre les bonnes librairies. Attends peut être l’avis d’autres personnes, et donne + de précisions sur ce que tu as fait, ton pbm peut être compliqué.


#3

Je me suis mal exprimé en fait et je m’en excuse, quand j’ai di que j’ai reinstallé le noyau je voulais en fait dire que j’ai effacé mes partitions et reinstallé débian etch amd64 donc il n’y a plus un poil de librairie 32 bits.


#4

etch est très versatile surtout en ce moment ou etch est plus proche de sid que de sarge, plus unstable que stable. Soit tu installe la sarge, soit tu attends que les dependances soient satisfaites (les sites évoluent sur etch).

PS: C’est une mauvaise idée de réinstaller


#5

Ok je te remercie de m’avoir répondu. Je pense que je vais installer une sarge.


#6

C’est une excellente idée, surtout si tu es en amd64. Tout ne fonctionne pas encore correctement en paquets 64 bits, alors autant ne pas cumuler les problèmes…